<?php

$out2 = wp_cache_get( 'wct_select_js'.$salt , 'wct');
if ($out2 == false) {
	$url = $this->generate_pagelink(array("/[&?]+".$salt."wctdro(p|f)=.*&/","/[&?]+wctstart=[0-9]*/"),array("&",""));
	$out2 = "<script type=\"text/javascript\">".
		 "function selector".$salt."(field) {".
			"var selection = document.getElementById('".$salt."wctdrop_' + field).options[document.getElementById('".$salt."wctdrop_' + field).selectedIndex].value;".
			"location.href= '".$url.$salt."wctdrof=' + field + '&".$salt."wctdrop=' + selection;".
		"}</script>";
	wp_cache_set( 'wct_select_js'.$salt, $out2, 'wct', $this->settings['wct_cachetime']);
}
$out .= $out2;
$this->saltdone[] = $salt;

?>